// GridProps.cpp : implementation file
//

#include "stdafx.h"
#include "MW4GameEd2.h"
#include "GridProps.h"


/////////////////////////////////////////////////////////////////////////////
// CGridProps dialog


CGridProps::CGridProps(CWnd* pParent /*=NULL*/)
	: CDialog(CGridProps::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGridProps)
	m_XDist = 0.0f;
	m_YDist = 0.0f;
	//}}AFX_DATA_INIT
}


void CGridProps::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGridProps)
	DDX_Text(pDX, IDC_XDIST, m_XDist);
	DDV_MinMaxFloat(pDX, m_XDist, 0.1f, 1.e+008f);
	DDX_Text(pDX, IDC_YDIST, m_YDist);
	DDV_MinMaxFloat(pDX, m_YDist, 0.1f, 1.e+008f);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CGridProps, CDialog)
	//{{AFX_MSG_MAP(CGridProps)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGridProps message handlers
